//此乃本模块与后台交互的方法接口部分
var jwAppPortletModel = function(format) {
	this.module = "";
	this.action = "";
	this.format = format;
};

//定义数据交互
jwAppPortletModel.prototype = BusinessObject;

//获取当前登陆人的资源列表
jwAppPortletModel.prototype.listAllPTemplateByUser = function(){};
//创建一个数据操作对象，然后再后续使用
jwAppPortletModel.jwAppsPortletActAction = new jwAppPortletModel("json").delegate("jwAppsPortletAct");
//创建一个数据获取对象，然后再后续使用
jwAppPortletModel.jwAppsPortletDataAction = new jwAppPortletModel("json").delegate("jwAppsPortletData");

//说明： 1、所有方法里统一传递josn格式的参数，用于后台交互，如data.listTables(param) ，如没有参数则传'{}'，如data.listTables({})
//      2、前后台数据获取传输协议  如：json[{'0':{pageCount':'2','pageNo':'1','pageSize':'20','rowSet':'[{0},{1}....]'}}] 
//      3、前后台增删改的返回状态  如：json[{'0':{'rowSet':{'NAME':'-1','VALUE':'保存失败'}}}]
